<?php
//*************************************************************
//
// Informations sur l'utilisateur
//
// Projet      : Chaton
// Version     : 1.6.1
// Date        : 8 novembre 2006
//
//*************************************************************

    require_once( "inc/chat.php");
    require_once( "inc/securite.php");
    require_once( "inc/langue.php");
    require_once( "inc/database.php");
    require_once( "inc/log.php");
    require_once( "inc/users.php");
    require_once( "inc/salons.php");
    require_once( "inc/externe.php");
    require_once( "inc/cryptage.php");
    require_once( "inc/fuseaux.php");
    require_once( "inc/nocache.php");
    // Scurit des variables d'environnement
    require_once( "inc/env.php");

    // Charge le module de langue associ au script courant
    if (file_exists( "lang/$lang/whois.php")) {
        include( "lang/$lang/whois.php");
    }

    // Formulaire
    $modifiable = false;
    $modifiable_admin = false;

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<head>
<title>Whois</title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo( CHARSET); ?>">
<link rel="stylesheet" href="<?php echo( TEMPLATE_DIR . TEMPLATE . '/'); ?>css/style.css" type="text/css">
</head>

<body onLoad="window.focus();">
<?php
    chat_open();
    if (($chat_base) and isset($login)) {
        ChargeUtilisateur( $chat_cookie);

        $login = ucfirst( $login);
        // Utilisateur normal
        list ($uid, $sid) = idUtilisateur( $login, false);
        if ($uid == 0) {
            // C'est peut tre un robot
            list ($uid, $sid) = idUtilisateur( $login, true);
        }
        if ($uid > 0) $nom_cnx = GetUserCnx( $uid, $langue["format_date_cnx"]);

        if (defined( "BASE_UTILISATEURS_EXTERNE") and (BASE_UTILISATEURS_EXTERNE == true)) {
            // Mode externe
            if ($utilisateur = InfosUtilisateurExterne( $login)) {
                if (isset($utilisateur['bio'])) $bio_affichable = str_replace( "\n", "<br>", $utilisateur['bio']);
                if (isset($utilisateur['nom_site'])) $utilisateur['nom_site'] = Trim( $utilisateur['nom_site']);
                if (isset($utilisateur['url_site']) and ($utilisateur['nom_site'] == "")) $utilisateur['nom_site'] = $utilisateur['url_site'];
            }

        } else {
            // Mode Normal
            if ($utilisateur = InfosUtilisateur( $login, $langue["format_date_naissance"])) {
                $bio_affichable = str_replace( "\n", "<br>", $utilisateur['bio']);
                $mdp_affichable = '';
                $mdp_affichable = str_pad( $mdp_affichable, strlen( Decrypte( $utilisateur['mdp'])));
                switch ($utilisateur['sexe']) {
                    case 1:
                        $nom_sexe = $langue["homme"];
                        break;
                    case 2:
                        $nom_sexe = $langue["femme"];
                        break;
                    default:
                        $nom_sexe = $langue["inconnu"];
                }
                // Utilisateur existe ?
                if ($utilisateur['priv'] > -1) {
                    // Formulaire de modification
                    if ($login == $chat_login) {
                        $modifiable = true;
    
                    } elseif ( (($chat_priv >= PRIV_OPERATEUR) and ($utilisateur['priv'] <= PRIV_OPERATEUR)) or ($chat_priv == PRIV_ADMINISTRATEUR) ) {
                        // Oprateur d'un statut suprieur, ou admin
                        $modifiable_admin = true;
                    }
                }
            }
        }

        switch ($utilisateur['priv']) {
            case PRIV_ADMINISTRATEUR:
                $nom_statut = $langue["admin"];
                break;
            case PRIV_OPERATEUR:
                $nom_statut = $langue["ope"];
                break;
            case PRIV_ANIMATEUR:
                $nom_statut = $langue["anim"];
                break;
            case PRIV_UTILISATEUR:
                $nom_statut = $langue["utilisateur"];
                break;
            default:
                $nom_statut = $langue["sansacces"];
        }
?>
<?php if ($modifiable) { ?>
<form name="formulaire" method="POST" action="whois_action.php">
<input type="hidden" name="login" value="<?php echo( $login); ?>">
<?php } elseif ($modifiable_admin) { ?>
<form name="formulaire" method="POST" action="whois_action_admin.php">
<input type="hidden" name="login" value="<?php echo( $login); ?>">
<input type="hidden" name="oldpriv" value="<?php echo( $utilisateur['priv']); ?>">
<?php } ?>
<input type="hidden" name="lang" value="<?php echo( $lang); ?>">
<table border="0" width="100%" height="100%" align="center" cellpadding="2" cellspacing="2">
  <tr>
    <td>&nbsp;</td>
    <td colspan="2" align="center" nowrap class="titre"><?php echo( $langue["infos"]); ?></td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td colspan="2" align="center">&nbsp;<b><?php if (isset($message) and isset($langue[$message])) echo( $langue[$message]); ?></b></td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["login"]); ?>
      :</td>
    <td><strong><?php echo( $login); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php if (isset($utilisateur['mdp']) and ($modifiable)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["mdp1"]); ?>
      :</td>
    <td>
      <input type="password" size="20" maxlength="20" name="nouveau_mdp1" value="<?php echo( $mdp_affichable); ?>">
    </td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["mdp2"]); ?>
      :</td>
    <td>
      <input type="password" size="20" maxlength="20" name="nouveau_mdp2" value="<?php echo( $mdp_affichable); ?>">
    </td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($utilisateur['nom'])) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["nom"]); ?>
      :</td>
    <td>
      <?php if ($modifiable) { ?>
      <input type="text" size="30" name="nouveau_nom" value="<?php echo( StripSlashes( $utilisateur['nom'])); ?>">
      <?php } else { ?>
      <strong><?php echo( StripSlashes( $utilisateur['nom'])); ?></strong>
      <?php } ?>
    </td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($utilisateur['prenom'])) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["prenom"]); ?>
      :</td>
    <td>
      <?php if ($modifiable) { ?>
      <input type="text" size="30" name="nouveau_prenom" value="<?php echo( StripSlashes( $utilisateur['prenom'])); ?>">
      <?php } else { ?>
      <strong><?php echo( StripSlashes( $utilisateur['prenom'])); ?></strong>
      <?php } ?>
    </td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($utilisateur['email'])) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["email"]); ?>
      :</td>
    <td>
      <?php if ($modifiable) { ?>
      <input type="text" size="30" name="nouveau_email" value="<?php echo( StripSlashes( $utilisateur['email'])); ?>">
      <?php } else { ?>
      <strong><?php echo( StripSlashes( $utilisateur['email'])); ?></strong>
      <?php } ?>
    </td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($utilisateur['pays'])) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["pays"]); ?>
      :</td>
    <td>
      <?php if ($modifiable) { ?>
      <input type="text" size="30" name="nouveau_pays" value="<?php echo( StripSlashes( $utilisateur['pays'])); ?>">
      <?php } else { ?>
      <strong><?php echo( StripSlashes( $utilisateur['pays'])); ?></strong>
      <?php } ?>
    </td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($utilisateur['fuseau'])) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["fuseau"]); ?>
      :</td>
    <td>
      <?php if ($modifiable) { ?>
      <select name="nouveau_fuseau">
      <?php    foreach( $fuseaux_horaires as $cle => $valeur) {
                echo( "<option value=\"$cle\"");
                if ($cle == $utilisateur['fuseau']) echo( " selected");
                echo( ">{$valeur[1]}</option>\n");
            }
      ?>
      </select>
      <?php } else { ?>
      <strong><?php echo( StripSlashes( $fuseaux_horaires[$utilisateur['fuseau']][1])); ?></strong>
      <?php } ?>
    </td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($utilisateur['bio'])) { ?>
  <tr>
    <td>&nbsp;</td>
    <td valign="top"><?php echo( $langue["bio"]); ?>
      :</td>
    <td>
      <?php if ($modifiable) { ?>
      <textarea cols="30" rows="3" name="nouveau_bio"><?php echo( StripSlashes( $utilisateur['bio'])); ?></textarea>
      <?php } else { ?>
      <strong><?php echo( StripSlashes( $bio_affichable)); ?></strong>
      <?php } ?>
    </td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($utilisateur['url_site'])) {
         if ($modifiable) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["nom_site"]); ?> :</td>
    <td><input type="text" size="30" name="nouveau_nom_site" value="<?php echo( StripSlashes( $utilisateur['nom_site'])); ?>"></td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["url_site"]); ?> :</td>
    <td><input type="text" size="30" name="nouveau_url_site" value="<?php echo( StripSlashes( $utilisateur['url_site'])); ?>"></td>
    <td>&nbsp;</td>
  </tr>
  <?php     } else { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["site"]); ?> :</td>
    <td><strong><?php echo( "<a href=\"{$utilisateur['url_site']}\" target=\"_blank\">" . StripSlashes( $utilisateur['nom_site']) ."</a>"); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php    }
     } if (isset($utilisateur['nom_sexe'])) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["sexe"]); ?>
      :</td>
    <td><strong><?php echo( $utilisateur['nom_sexe']); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($utilisateur['naissance'])) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["naissance"]); ?> :</td>
    <td><strong><?php echo( $utilisateur['naissance']); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($utilisateur['nb_cnx'])) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["nb_cnx"]); ?>
      :</td>
    <td><strong><?php echo( $utilisateur['nb_cnx']); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php } if (isset($nom_cnx)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["connexion"]); ?>
      :</td>
    <td><strong><?php echo( $nom_cnx); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php } if ($modifiable_admin) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["statut"]); ?>
      :</td>
    <td><select name="newpriv">
    <?php
        echo( "<option value=\"0\""); if ($utilisateur['priv'] == PRIV_SANS_ACCES) echo( " selected"); echo( ">" . $langue["sansacces"] . "</option>\n");
        echo( "<option value=\"1\""); if ($utilisateur['priv'] == PRIV_UTILISATEUR) echo( " selected"); echo( ">" . $langue["utilisateur"] . "</option>\n");
        echo( "<option value=\"4\""); if ($utilisateur['priv'] == PRIV_ANIMATEUR) echo( " selected"); echo( ">" . $langue["anim"] . "</option>\n");
        echo( "<option value=\"5\""); if ($utilisateur['priv'] == PRIV_OPERATEUR) echo( " selected"); echo( ">" . $langue["ope"] . "</option>\n");
        if ($chat_priv == PRIV_ADMINISTRATEUR) {
            echo( "<option value=\"" . PRIV_ADMINISTRATEUR . "\""); if ($utilisateur['priv'] == PRIV_ADMINISTRATEUR) echo( " selected"); echo( ">" . $langue["admin"] . "</option>\n");
        }
    ?></select></td>
    <td>&nbsp;</td>
  </tr>
  <?php } elseif (isset($nom_statut)) { ?>
  <tr>
    <td>&nbsp;</td>
    <td><?php echo( $langue["statut"]); ?>
      :</td>
    <td><strong><?php echo( $nom_statut); ?></strong></td>
    <td>&nbsp;</td>
  </tr>
  <?php } ?>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <?php if (($modifiable) or ($modifiable_admin)) { ?>
  <tr>
    <td colspan="4" align="center"><input type="submit" value="<?php echo( $langue["valider"]); ?>"></td>
  </tr>
  <tr>
    <td colspan="4">&nbsp;</td>
  </tr>
  <?php } ?>
  <tr align="right">
    <td colspan="4"><a href="JavaScript:window.close();"><?php echo( $langue["fermer"]); ?></a></td>
  </tr>
</table>
<?php if (($modifiable) or ($modifiable_admin)) { ?>
</form>
<?php } ?>
<?php
    } else {
        // Base de donnees impossible a ouvrir

?>
<hr>
<?php echo( $langue["database_error"]); ?><br><br>
<a href="JavaScript:window.close();"><?php echo( $langue["fermer"]); ?></a>
<?php
    }
    chat_close();
?>
</body>
</html>